View Issue Details

IDProjectCategoryView StatusLast Update
00031163 - Current Dev ListBugpublic2019-02-05 15:08
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.188 
Summary0003116: FT-891 "037 Microphone Scan" slider indicates and sets opposite of radio setting
DescriptionIn Rig Control, the "037 Microphone Scan" slider for the FT-891 radio indicates and sets the opposite setting. When Rig Control sets or indicates "ON", the radio shows the setting "Disabled". When Rig Control sets or indicates "OFF", the radio shows the setting "Enabled".
Steps To Reproduce1) Start up Rig Control. Connect to the FT-891.
2) Make sure the "037 Microphone Scan" slider is visible
3) On the radio, hold down the "F" button until the indivual settings menu is shown
4) Use the Multi knob to scroll through the settings to find number 05-15, which is "MIC SCAN"

BUG#1) if the radio says "DISABLE", Rig control says "ON". Or, if the radio says "ENABLE", Rig Control says "OFF".

5) Move the rig control slider to the opposite setting

BUG#2) The radio setting changes, but is still the opposite of the setting effected in Rig Control.
TagsFT-891, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

Activities

K7ZCZ

2019-01-29 15:03

manager   ~0007127

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4777

WA9PIE

2019-02-05 15:08

administrator   ~0007271

Validated

Issue History

Date Modified Username Field Change
2019-01-26 19:42 K7ZCZ New Issue
2019-01-27 11:26 K7ZCZ Tag Attached: FT-891
2019-01-27 11:26 K7ZCZ Tag Attached: Yaesu
2019-01-29 15:03 K7ZCZ Assigned To => K7ZCZ
2019-01-29 15:03 K7ZCZ Status new => resolved
2019-01-29 15:03 K7ZCZ Resolution open => fixed
2019-01-29 15:03 K7ZCZ Note Added: 0007127
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-05 15:08 WA9PIE Status resolved => closed
2019-02-05 15:08 WA9PIE Description Updated View Revisions
2019-02-05 15:08 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-05 15:08 WA9PIE Testing Not Started => Beta Successful
2019-02-05 15:08 WA9PIE Note Added: 0007271